

var maxAnimationTime = 30 // max banner duration (specs), 0 = no loop
var buttonActivity = true; // toggle rollover animation on/off, use toggleButtonActivity(); to toggle
var buttonActivityOnBanner = true; // rollover animation on whole banner (not just on button)
var developmentmode = true // set true/false to turn on logs // use log("variable", variable)
var tlMouseMovement




///////////////////// default ///////////////////// 

function init() {
	log("init", "banner")
	setMasterTimeline();
	checkLoadedImages(); // check if all images are loaded (optional)
	CSSPlugin.defaultForce3D = false;
	// hello()
}

function setTools(){
/*	createMouseMovement();*/
	centerElements(); // centers all elements width class "centerElement"
	centerElementToStage(); // centers all elements to Stage width class "centerElementToStage"
	checkCanvasSize(); // canvasWidth/canvasHeight (optional)
	checkWindowSize(); // canvasWidth/canvasHeight (optional)
/*	createElement("dotsContainer", "Dots", 0)*/
	createTimeLine();

}

function setMasterTimeline(){
	master = new TimelineMax({
			onStart: function() {
								loopDuration = master.duration() / master.timeScale()	
								maxLoops = Math.floor(maxAnimationTime/loopDuration);

								log("loopDuration", loopDuration)
								log("maxAnimationTime", maxAnimationTime)
								log("maxLoops", maxLoops)
								log("start", "animation")
		},
			// repeat:2,

		});
}

///////////////////// animations ///////////////////// 

function setPositions(){
	var tl = new TimelineMax();
		tl.set("#background2",{autoAlpha:0},0)
		tl.set("#txt2",{autoAlpha:0, y:-5},0)

		tl.set("#txt3",{autoAlpha:0, y:-5},0)
		tl.set("#txt4",{autoAlpha:0},0)

		tl.set("#logo",{autoAlpha:0, y:-20},0)
		tl.set("#man",{autoAlpha:0},0)

		tl.set("#blink",{autoAlpha:0},0)


	return tl;
}



var tl1 = new TimelineMax();

function frame1(){
		tl1.to("#overlay", .5,{ autoAlpha:0},0);
		tl1.to("#logo", .5,{ autoAlpha:1, y:0, ease: Power2.easeOut}, 0);

	return tl1;
}
var tl2 = new TimelineMax();

function frame2(){

	tl2.to(".frame1", .5,{ autoAlpha:0},0);
	tl2.to("#background2", .5,{ autoAlpha:1},0);

	tl2.to("#txt2", 1,{ autoAlpha:1, y:0},0);
	tl2.to("#txt2", .5,{y:5, autoAlpha:0, ease: Power2.easeOut }, 2);

	tl2.to("#txt3", 1,{y:0, autoAlpha:1, ease: Power2.easeOut },2.5);
	tl2.to("#txt4", 1,{y:0, autoAlpha:1, ease: Power2.easeIn },2.75);

	tl2.to("#man", .5,{ autoAlpha:1, ease: Power2.easeIn},2.5);

	tl2.to("#blink", .25,{ autoAlpha:0},4);

	tl2.to("#blink", .25,{ autoAlpha:1},4.5);
	tl2.to("#blink", .25,{ autoAlpha:0},5);

return tl2;
}


var tl3 = new TimelineMax();

function klikFrame(){

	tl3.to(".frame1", .5,{ autoAlpha:0},0);
	tl3.to("#background2", .5,{ autoAlpha:1},0);

	tl3.to("#txt2", 1,{ autoAlpha:1, y:0},0);
	tl3.to("#txt2", .5,{y:5, autoAlpha:0, ease: Power2.easeOut }, 2);

	tl3.to("#txt3", 1,{y:0, autoAlpha:1, ease: Power2.easeOut },2.5);
	tl3.to("#txt4", 1,{y:0, autoAlpha:1, ease: Power2.easeIn },2.75);

	tl3.to("#man", .5,{ autoAlpha:1, ease: Power2.easeIn},2.5);

	tl3.to("#blink", .25,{ autoAlpha:0},4);

	tl3.to("#blink", .25,{ autoAlpha:1},4.5);
	tl3.to("#blink", .25,{ autoAlpha:0},5);

	return tl3;

}













var tlBtn = new TimelineMax({paused:true}); 





function loop(){
	var tl = new TimelineMax({id:"loop"})

/*		tl.addCallback(toggleButtonActivity,0)*/
	return tl;
}



function createTimeLine() {
	// default
	master.add(setPositions());
	// animation
	master.add(frame1(),"+=0");	
	master.add(frame2(),"+=4");	
	// default
	master.addCallback(checkLoops,"+=2")
	master.add(loop(),"+=2");
/*	GSDevTools.create();*/

}



// addListeners = function() {
// 	btn.addEventListener('click', ExitHandler, false);
// 	clickArea.addEventListener('click', ExitHandler, false);
// 	clickArea.addEventListener('mouseover', rollOver, false);
// 	clickArea.addEventListener('mouseout', rollOut, false);
// 	}


//     ExitHandler = function(e) {
// 		//Call Exits
// 		EB.clickthrough();
// 		  }

// 	 function rollOver() {
// 	  tlBtn.play();
// 	 }          

// 	function rollOut() {
// 	  tlBtn.reverse();
// 	 }  





	function nepOver(){
		var tl = new TimelineMax();

		tl.to("#nep", .2,{ scale:.9, ease: Power1.easeInOut},0);
	}

	function nepOut(){
		var tl = new TimelineMax();

		tl.to("#nep", .2,{ scale:1, ease: Power1.easeInOut},0);
	}

	function echtOver(){
		var tl = new TimelineMax();

		tl.to("#echt", .2,{ scale:.9, ease: Power1.easeInOut},0);
	}

	function echtOut(){
		var tl = new TimelineMax();

		tl.to("#echt", .2,{ scale:1, ease: Power1.easeInOut},0);
	}



	function btnClick() {
		klikFrame()
		if (tl3.isActive() === true) {
			tl2.stop()
		} 
	}


